Bug 159046 - No Sound: Corrupted /etc/alsa/cards/aliases.conf
No Sound: Corrupted /etc/alsa/cards/aliases.conf
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-27 22:29 EDT by Ivan Gyurdiev
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-12 02:37:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivan Gyurdiev 2005-05-27 22:29:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
alsa-init: 1 soundcard found, using: surround51
ALSA lib conf.c:1578:(snd_config_load1) _toplevel_:51:23:No such file or directory
ALSA lib conf.c:2821:(snd_config_hook_load) /etc/alsa/cards/aliases.conf may be old or corrupted: consider to remove or fix it
ALSA lib conf.c:2684:(snd_config_hooks_call) function snd_config_hook_load returned error: No such file or directory
ALSA lib pcm.c:1959:(snd_pcm_open_conf) Invalid type for PCM surround51 definition (id: surround51, value: cards.pcm.surround51)
alsa-init: playback open error: Invalid argument
Could not open/initialize audio device -> no sound.
Audio: no sound
Video: no video

Removing the file in question makes it work...


Version-Release number of selected component (if applicable):
alsa-lib-1.0.9rc4-1

How reproducible:
Always

Steps to Reproduce:
(see desc.)

Additional info:
Comment 1 Martin Stransky 2005-05-30 07:54:53 EDT
Which soundcard? Please attach your modprobe.conf and output of lsmod.
Comment 2 Ivan Gyurdiev 2005-05-31 19:32:04 EDT
I've been having all kinds of problems with alsa lately - rhythmbox
doesn't work right now for some reason . I think part
of it's probably caused by selinux blocking ainit on startup, 
but I wanted to report the aliases bug separately.

This is a via82xx chip.
00:11.5 Multimedia audio controller: VIA Technologies, Inc. VT8233/A/8235/8237
AC97 Audio Controller (rev 50)

modprobe.conf:

alias eth0 8139too
alias snd-card-0 snd-via82xx
install snd-via82xx /sbin/modprobe --ignore-install snd-via82xx &&
/usr/sbin/alsactl restore >/dev/null 2>&1 || :
remove snd-via82xx { /usr/sbin/alsactl store >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-via82xx
alias usb-controller ehci-hcd
alias usb-controller1 uhci-hcd
alias ieee1394-controller ohci1394
alias eth1 tulip
alias char-major-195* nvidia


lsmod:

Module                  Size  Used by
tun                    11457  1
video                  15941  0
button                  6609  0
battery                 9413  0
ac                      4805  0
nvidia               3915004  12
md5                     4033  1
ipv6                  268097  14
uhci_hcd               35153  0
ehci_hcd               41037  0
i2c_viapro              8017  0
i2c_core               21569  1 i2c_viapro
snd_via82xx            30081  1
gameport               18633  1 snd_via82xx
snd_ac97_codec         75961  1 snd_via82xx
snd_seq_dummy           3653  0
snd_seq_oss            37057  0
snd_seq_midi_event      9153  1 snd_seq_oss
snd_seq                62289  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_pcm_oss            51185  0
snd_mixer_oss          17857  2 snd_pcm_oss
snd_pcm               100169  3 snd_via82xx,snd_ac97_codec,snd_pcm_oss
snd_timer              33605  2 snd_seq,snd_pcm
snd_page_alloc          9669  2 snd_via82xx,snd_pcm
snd_mpu401_uart        10049  1 snd_via82xx
snd_rawmidi            30305  1 snd_mpu401_uart
snd_seq_device          8781  4 snd_seq_dummy,snd_seq_oss,snd_seq,snd_rawmidi
snd                    57157  11
snd_via82xx,snd_ac97_codec,snd_seq_oss,snd_seq,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer,snd_mpu401_uart,snd_rawmidi,snd_seq_device
soundcore              10913  2 snd
ath_pci                64548  0
ath_rate_onoe           8968  1 ath_pci
wlan                  112604  3 ath_pci,ath_rate_onoe
ath_hal               148432  2 ath_pci
tulip                  55393  0
8139too                30017  0
mii                     5441  1 8139too
dm_snapshot            17413  0
dm_zero                 2113  0
dm_mirror              26029  0
ext3                  132553  4
jbd                    86233  1 ext3
dm_mod                 58101  7 dm_snapshot,dm_zero,dm_mirror
Comment 3 Martin Stransky 2005-06-01 07:07:23 EDT
Can you attach output of 'aplay -l' and content of /etc/alsa/pcm/dmix.conf and
/etc/alsa/pcm/dsnoop.conf?
Comment 4 Ivan Gyurdiev 2005-06-04 14:41:07 EDT
aplay -l:

**** List of PLAYBACK Hardware Devices ****
card 0: V8235 [VIA 8235], device 0: VIA 8235 [VIA 8235]
  Subdevices: 4/4
  Subdevice #0: subdevice #0
  Subdevice #1: subdevice #1
  Subdevice #2: subdevice #2
  Subdevice #3: subdevice #3
card 0: V8235 [VIA 8235], device 1: VIA 8235 [VIA 8235]
  Subdevices: 0/1
  Subdevice #0: subdevice #0

/etc/alsa/pcm/dmix.conf:
/etc/alsa/pcm/dsnoop.conf: 
Not Found. I see a couple of template files instead (.template).
Comment 5 Ivan Gyurdiev 2005-06-04 19:55:16 EDT
After yum updates, dmix.conf and dsnoop.conf now exist, and
aliases.conf exists, but alsa is working fine.

Closing bug.
Comment 6 Martin Stransky 2005-06-06 02:50:08 EDT
Ough, maybe closed too soon. Which version fixes your problem?
Comment 7 Ivan Gyurdiev 2005-06-08 14:34:55 EDT
alsa-lib-1.0.9rf-1
Comment 8 Ivan Gyurdiev 2005-10-03 02:04:44 EDT
alsa-lib-1.0.10rc1-1: reopening, same description.
Comment 9 Martin Stransky 2005-10-09 14:00:27 EDT
It should been fixed in devel now....
Comment 10 Ivan Gyurdiev 2005-11-26 08:01:11 EST
Reopening again... should be marked: CHRONIC
Yes, it was fixed... and now it's broken again.

alsa-lib-1.0.10rf-1

I looked for dsnoop.conf and dmix.conf, and those were installed only as
rpmnew...  but where did the old ones go? Seems like some sort of packaging problem.
Comment 11 Martin Stransky 2005-12-02 07:11:18 EST
It should be fixed in rawhide (in alsa-lib-1.0.10rf-2) and fix will work when
you're upgrading from 1.0.10rf-2 (the latest) to some new package.
Comment 12 Ivan Gyurdiev 2005-12-10 02:28:06 EST
Now there's no .conf at all - only a template, same behavior (with the version
you specified).

Note You need to log in before you can comment on or make changes to this bug.